Subject: Re: [PATCH net-next] add part of TCP counts explanations in snmp_counters.rst

From: Stephen Hemminger <[email-masked]>
Date: Mon, 19 Nov 2018 10:51:28 -0800

On Fri, 16 Nov 2018 11:17:40 -0800
yupeng <[email-masked]> wrote:

> +* TcpInSegs
> +Defined in `RFC1213 tcpInSegs`_
> +
> +.. _RFC1213 tcpInSegs: https://tools.ietf.org/html/rfc1213#page-48
> +
> +The number of packets received by the TCP layer. As mentioned in
> +RFC1213, it includes the packets received in error, such as checksum
> +error, invalid TCP header and so on. Only one error won't be included:
> +if the layer 2 destination address is not the NIC's layer 2
> +address. It might happen if the packet is a multicast or broadcast
> +packet, or the NIC is in promiscuous mode. In these situations, the
> +packets would be delivered to the TCP layer, but the TCP layer will discard
> +these packets before increasing TcpInSegs. The TcpInSegs counter
> +isn't aware of GRO. So if two packets are merged by GRO, the TcpInSegs
> +counter would only increase 1.

Is it it obvious that TCP which is L4 masks off all the other things
that could happen at L3 and L2.  SO this text is correct but redundant.